LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XAnimation Interface Reference

allows controlling an animation. More...

`import"XAnimation.idl";`

Inheritance diagram for XAnimation:

## Public Member Functions
void | startAnimation ()
| starts the animation More...
void | stopAnimation ()
| stops the animation More...
boolean | isAnimationRunning ()
| determines whether the animation is currently running More...

## Detailed Description

allows controlling an animation.

Since
  OOo 3.4

## Member Function Documentation

## ◆ isAnimationRunning()

boolean isAnimationRunning | ( |  | ) |

determines whether the animation is currently running

## ◆ startAnimation()

void startAnimation | ( |  | ) |

starts the animation

## ◆ stopAnimation()

void stopAnimation | ( |  | ) |

stops the animation

The documentation for this interface was generated from the following file:

- com/sun/star/awt/XAnimation.idl